package com.qmth.distributed.print.business.bean.result.report;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.bean.dto.report.*;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 报告result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/19
 */
public class ReportResult implements Serializable {

    @ApiModelProperty(value = "公共信息")
    private ReportCommonDto commonInfo;

    @ApiModelProperty(value = "课程基本情况")
    private ReportCourseBasicInfoDto courseBasicInfo;

    @ApiModelProperty(value = "课程目标考核分布")
    private ReportCourseEvaluationSpreadDto courseEvaluationSpread;

    @ApiModelProperty(value = "课程考核成绩评价结果")
    private ReportCourseEvaluationResultDto courseEvaluationResult;

    @ApiModelProperty(value = "课程目标达成评价明细结果")
    private ReportCourseEvaluationResultDetailDto courseEvaluationResultDetail;

    public ReportCommonDto getCommonInfo() {
        return commonInfo;
    }

    public void setCommonInfo(ReportCommonDto commonInfo) {
        this.commonInfo = commonInfo;
    }

    public ReportCourseBasicInfoDto getCourseBasicInfo() {
        return courseBasicInfo;
    }

    public void setCourseBasicInfo(ReportCourseBasicInfoDto courseBasicInfo) {
        this.courseBasicInfo = courseBasicInfo;
    }

    public ReportCourseEvaluationSpreadDto getCourseEvaluationSpread() {
        return courseEvaluationSpread;
    }

    public void setCourseEvaluationSpread(ReportCourseEvaluationSpreadDto courseEvaluationSpread) {
        this.courseEvaluationSpread = courseEvaluationSpread;
    }

    public ReportCourseEvaluationResultDto getCourseEvaluationResult() {
        return courseEvaluationResult;
    }

    public void setCourseEvaluationResult(ReportCourseEvaluationResultDto courseEvaluationResult) {
        this.courseEvaluationResult = courseEvaluationResult;
    }

    public ReportCourseEvaluationResultDetailDto getCourseEvaluationResultDetail() {
        return courseEvaluationResultDetail;
    }

    public void setCourseEvaluationResultDetail(ReportCourseEvaluationResultDetailDto courseEvaluationResultDetail) {
        this.courseEvaluationResultDetail = courseEvaluationResultDetail;
    }
}
